Bug 1148659

Summary: sddm: multiple flaws in SDDM display manager leading to privilege escalation to root
Product: [Other] Security Response Reporter: Murray McAllister <mmcallis>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED UPSTREAM QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: jgrulich, kevin, rdieter
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:35:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1148660    
Bug Blocks: 998542    

Description Murray McAllister 2014-10-02 04:18:41 UTC
Sebastian Krahmer reported a number of flaws in the SDDM display manager that could allow a local user to escalate their privileges to root:

https://bugzilla.suse.com/show_bug.cgi?id=897788

References:

http://seclists.org/oss-sec/2014/q4/6

Comment 1 Murray McAllister 2014-10-02 04:19:40 UTC
Created sddm tracking bugs for this issue:

Affects: fedora-all [bug 1148660]

Comment 3 Fedora Update System 2014-10-28 06:46:54 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-10-31 02:43:25 UTC
sddm-0.9.0-2.20141007git6a28c29b.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Product Security DevOps Team 2019-06-08 02:35:05 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.